# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
# Copyright (C) 2022 Microchip Technology, Inc. and its subsidiaries
%YAML 1.2
---
$id: http://devicetree.org/schemas/pwm/atmel,at91sam-pwm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Atmel/Microchip PWM controller

maintainers:
  - Claudiu Beznea <claudiu.beznea@microchip.com>

allOf:
  - $ref: "pwm.yaml#"

properties:
  compatible:
    enum:
      - atmel,at91sam9rl-pwm
      - atmel,sama5d3-pwm
      - atmel,sama5d2-pwm
      - microchip,sam9x60-pwm

  reg:
    maxItems: 1

  "#pwm-cells":
    const: 3

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    pwm0: pwm@f8034000 {
        compatible = "atmel,at91sam9rl-pwm";
        reg = <0xf8034000 0x400>;
        #pwm-cells = <3>;
    };
